#include <IRremote.h>
#include <Keyboard.h>
// Change these to fit your IR remote codes
#define fullscreen 0xA21    //F Exit full screen/full screen    //F 전체 화면/전체 화면에서 나가기 
#define spacebar 0x7121     //Space or K Play/Pause       //Space 또는 K 재생/일시정지
#define speedup 0x6621      //Shift +> Increase playback speed   //Shift + > 재생속도 증가
#define speeddown 0x2621    //Shift + <Decrease playback speed  //Shift + < 재생속도 감소
#define forward 0x5621      //→ 5 seconds forward (L 10 seconds forward)   //→ 5초 앞으로 (L 10초 앞으로)
#define REWIND 0x1621       //← 5 seconds back (J 10 seconds back)          //← 5초 뒤로    (J 10초 뒤로)
#define volumeup 0x2421    //↑ Increase the volume by 5%     //↑ 음량 5% 올리기
#define volumedown 0x6421   //↓ Decrease the volume by 5%    //↓ 음량 5% 내리기
#define Subtitle 0x5821     //C Subtitle On/Off//C 자막 켜기/끄기
#define Mute 0x1421         //M Mute/Unmute          //M 음소거/음소거해제
#define Next 0x3121          //Next video    //shift+n 다음 동영상
// Make sure this is the proper pin on the Teensy
int RECV_PIN = 10;

IRrecv irrecv(RECV_PIN);

decode_results results;

void setup()
{
  //Serial.begin(9600);
  irrecv.enableIRIn(); // Start the receiver
}

void loop() 
{
  if (irrecv.decode(&results)) {
   // Serial.println(results.value, HEX);
    switch(results.value) {
     case fullscreen:
        Keyboard.press('F');
       delay(100);
       Keyboard.releaseAll();
       break;
     case spacebar:
       Keyboard.press(KEY_SPACE_BAR);
       delay(100);
       Keyboard.releaseAll();
       break;
     case speedup:
       Keyboard.press(KEY_RIGHT_SHIFT);
       Keyboard.press('>');
       delay(100);
       Keyboard.releaseAll();
       break;
     case speeddown:
       Keyboard.press(KEY_RIGHT_SHIFT);
       Keyboard.press('<');
       delay(100);
       Keyboard.releaseAll();
       break;
        case forward:
       Keyboard.press(KEY_LEFT_ARROW);
       delay(100);
       Keyboard.releaseAll();
       break;
     case REWIND:
      Keyboard.press(KEY_RIGHT_ARROW);
       delay(100);
       Keyboard.releaseAll();
       break;
     case volumeup:
       Keyboard.press(KEY_UP_ARROW);
       delay(100);
       Keyboard.releaseAll();
       break;
     case volumedown:
       Keyboard.press(KEY_DOWN_ARROW);
       delay(100);
       Keyboard.releaseAll();
       break;
        case Subtitle:
        Keyboard.press('C');
       delay(100);
       Keyboard.releaseAll();
       break;
        case Mute:
        Keyboard.press('M');
       delay(100);
       Keyboard.releaseAll();
       break;
        case Next:
        Keyboard.press(KEY_LEFT_SHIFT);
        Keyboard.press('N');
       delay(100);
       Keyboard.releaseAll();
       break;
    }
    irrecv.resume(); // Receive the next value
  }
}
